/**
 * Hidden Text
 * Hide text, labels or links and keep them available to screen readers.
 * Overflow set to hidden will not read the text in NVDA.
 * Clip is somewhat better if you want to focus hidden links.
 */
 
.out {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
}

.clip {
	position: absolute;
	height: 1px; width: 1px; 
	clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
	clip: rect(1px, 1px, 1px, 1px);
}




/**
 * Focus State
 * Change outline with glow effect for CSS3 browsers.
 * This is consistent with A5 focus behavior.
 * Using media tricks to ensure focus in older browsers.
 */

input:focus,
a:focus,
table:focus,
textarea:focus,
select:focus,
button:focus,
div.focusable:focus,
div.btn-attach.focus,
div.btn-browse.focus {
	outline: none;
	box-shadow: 0 0 5px #3CF !important;
}

@media screen\9 { a:focus, input:focus, table:focus, textarea:focus, select:focus, button:focus, div.focusable:focus, div.btn-attach.focus, div.btn-browse.focus { outline: 1px dotted #3CF; } } /* IE7 */
@media \0screen { a:focus, input:focus, table:focus, textarea:focus, select:focus, button:focus, div.focusable:focus, div.btn-attach.focus, div.btn-browse.focus { outline: 1px dotted #3CF; } } /* IE8 */
@media screen and (min-width:0\0) { a:focus, input:focus, table:focus, textarea:focus, select:focus, button:focus, div.focusable:focus, div.btn-attach.focus, div.btn-browse.focus { outline: 1px dotted #3CF; } } /* IE9+ */
@media screen and (-webkit-min-device-pixel-ratio:0) { input[type='checkbox']:focus, input[type='radio']:focus, select:focus, div.focusable:focus, div.btn-attach.focus, div.btn-browse.focus { outline: auto 3px #3CF; } } /* Chrome and Safari */





/**
 * Selection State
 * TODO: Add a separate column to tables for focus indication.
 */

.dataTable tr.focus td:first-child {
	border-left: 2px solid #3CF;
}




/**
 * Attach Button & Browse Input
 * Hide the file input inside a container presented like button.
 * For best screen reader support container must be a div.
 * Font size is critical for the file input clickable area.
 * Making bigger button and file input when uploading files.
 */

.btn-attach,
.btn-browse {
	position: relative;
	overflow: hidden;
}

.btn-browse {
	height: 24px;
	display: block;
	margin: 0;
	line-height: 24px;
}

.btn-browse span {
	font-size: 13px !important;
}

input.file {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	padding: 0;
	font-size: 14px !important;
	cursor: pointer;
	opacity: 0;
	filter: alpha(opacity=0);
}

.btn-browse input.file {
	font-size: 114px !important;	
}




/**
 * Shortcuts Dialog
 */

#shortcuts {
	position: absolute;
	top: 100px;
	left: 50%;
	margin-left: -450px;
	background: black;
	opacity: 0.85;
	box-shadow: 5px 5px 10px #666666;
	z-index: 1000;
	padding-bottom: 0;
}

#shortcuts .shortcuts-focus-group {
	width: 900px;
	max-height: 600px;
	padding: 20px;
	overflow: auto;
}

#shortcuts .footer {
	clear: both;
	margin-bottom: 20px;
	text-align: right;
}

#shortcuts p,
#shortcuts a {
	color: #FFF;
	font-size: 13px;
}

#shortcuts a:hover {
	color: #48fcfd;
}

#shortcuts .left {
	float: left;
	margin-right: 100px;
	padding-bottom: 20px;
}


#shortcuts .right {
	float: left;
	padding-bottom: 20px;
}

#shortcuts h2 {
	color: #ffffff;
	font-weight: bold;
	font-size: 17px;
	margin-bottom: 10px;
	margin-top: 10px;
}

#shortcuts h3 {
	color: #48fcfd;
	font-weight: bold;
	font-size: 15px;
	margin-bottom: 10px;
	margin-top: 20px;
	text-align: left;
}

#shortcuts strong {
	color: #ffffff;
}

#shortcuts .closeButton {
	color: #ffffff;
	border: 1px solid #333;
	background: #000;
	font-size: 14px;
	padding: 10px;
}

#shortcuts div.closeButton {
	float: right;
	width: 16px;
}

#shortcuts .closeButton i {
	display: block;
	width: 16px;
	height: 16px;
	background-image: url(/icons/ric/images/icons/close-help-16.png);
}

#shortcuts .closeButton:hover { 
	border: 1px solid #48fcfd; 
}

#shortcuts table,
#shortcuts table thead th,
#shortcuts table tbody td {
	background: none;
	border: none;
	color: #cccccc;
	font-weight: normal;
	text-shadow: none;
	font-size: 13px;
}

#shortcuts table thead th {
	display: none;
}